<template>
    <v-row align="center" tag="header" id="site-header">
        <v-col md="9">
            <v-btn class="desktop-d-none" @click="toggleMenu(true)" text>
                <i class="icon icon-hamburger icon-30"></i>
            </v-btn>
            <div id="links-container" :class="{opened: menu}">
                <v-btn class="no-bg desktop-d-none" id="close" @click="toggleMenu(false)" text>
                    <i class="icon icon-close icon-30"></i>
                </v-btn>
                <nuxt-link to="/BlogCreate" class="d-flex align-center">
                    <span class="dot"></span>
                    <span class="mr-3">{{ $t('header.first') }}</span>
                </nuxt-link>

                <nuxt-link to="/BlogList" class="d-flex align-center">
                    <span class="dot"></span>
                    <span class="mr-3">{{ $t('header.second') }}</span>
                </nuxt-link>

                <nuxt-link to="/BlogShow" class="d-flex align-center">
                    <span class="dot"></span>
                    <span class="mr-3">{{ $t('header.third') }}</span>
                </nuxt-link>
            </div>
        </v-col>
        <v-col cols="9" md="3" id="btn-container">
            <nuxt-link to="/Register" class="d-flex align-center ma-2">
                <v-btn color="#fff" class="btn-register side-icon">
                    <span>{{ $t('header.register') }}</span>
                </v-btn>
            </nuxt-link>
            <nuxt-link to="/Login" class="d-flex align-center ma-2">
                <v-btn color="#fff" class="btn-register side-icon">
                    <span>ورود</span>
                </v-btn>
            </nuxt-link>
            <nuxt-link v-if="user" to="/" class="d-flex align-center ma-2">
                <v-btn color="#fff" class="btn-register side-icon">
                    <span>{{ user }}</span>
                    <i class="icon icon-user icon-24"></i>
                </v-btn>
            </nuxt-link>

        </v-col>
    </v-row>

</template>

<script>


import {mapState} from "vuex";

export default {
    name: 'MainHeader',

    data() {
        return {
            menu: false,
            items: [
                {title: this.$i18n.t('header.first')},
                {title: this.$i18n.t('header.second')},
                {title: this.$i18n.t('header.third')},
            ],
        }
    },
    methods: {
        toggleMenu(status) {
            this.menu = status
        },

    },
    computed: {
        ...mapState({
            user: state => state.user.user,

        }),

    }

}
</script>

<style lang="scss" scoped>
#site-header {
    z-index: 1111;
    height: 75px;
    margin-top: 40px;
    margin-bottom: 150px;

    @media #{map-get($display-breakpoints, 'sm-and-down')} {
        margin-top: 0;
    }

    #links-container {
        display: flex;
        justify-content: flex-start;
        text-align: right;

        @media #{map-get($display-breakpoints, 'sm-and-down')} {
            position: fixed;
            width: 100%;
            height: 100%;
            top: -100%;
            right: 0;
            background: #313c57;
            z-index: 11;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            transition: all 0.3s;

            &.opened {
                top: 0;
            }

            #close {
                position: absolute;
                top: 24px;
                left: 16px;
            }

            a {
                padding: 15px 0 !important;
                font-size: 26px !important;
            }
        }

        a {
            color: #ffffff;
            opacity: 0.6;
            font-size: 20px;
            font-weight: 300;
            letter-spacing: -0.43px;
            padding-left: 40px;
            transition: all 0.3s;

            .dot {
                position: relative;
                display: inline-block;
                width: 8px;
                height: 8px;
                opacity: 0.3;
                background-color: #ffffff;
                border-radius: 50%;
                transition: all 0.3s;

                &:before {
                    position: absolute;
                    width: 16px;
                    height: 16px;
                    top: -4px;
                    right: -4px;
                    background: transparent;
                    border: solid 2px #FFF;
                    content: "";
                    border-radius: 50%;
                    opacity: 0;
                }
            }

            &:hover {
                opacity: 1;
                color: #ffffff;

                .dot {
                    opacity: 1;

                    &:before {
                        opacity: 1;
                    }
                }

            }
        }

    }

    #btn-container {
        display: flex;
        justify-content: flex-end;

        .btn-register {
            font-size: 16px;
            font-weight: 300;
            width: 100px;
            height: 40px;
            border-radius: 8px !important;

            @media #{map-get($display-breakpoints, 'sm-and-down')} {
                width: auto;
            }

            span {
                color: #313c57;
            }
        }
    }
}
</style>
